/* Converts ILBM brushes to Sega Master System tiles ready for incbining. */
/* The brush must be saved in uncompressed ILBM format */

#include <stdio.h>
#include <stdlib.h>

#define HEADER 0x80

main(int argc, char **argv)
{
    unsigned char charbyte,nofcharbyte;
    char *buffer;
    int length,modulo;
    int count1,count2,loop;
    FILE *in,*out;
    if (argc<2) { 
        perror("Usage : ILBM2Tile inputfile outputfile\n");
        exit(0);
    }
    in=fopen(argv[1],"r");
    if (in==NULL) { perror("Can't open input file\n"); exit(1); }

    out=fopen(argv[2], "wb");
   if (out==NULL) {perror("Can't open output file\n");exit(1);}

    fseek(in, 0, SEEK_END);
    length = ftell(in);
    rewind (in);
    length -= HEADER;
    buffer = malloc(length);
    fseek(in, HEADER, SEEK_SET);
    fread(buffer,1,length,in);
    fclose(in);
    modulo=length/32;
 for (count1=0;count1!=modulo;count1++)
{
 for (count2=0;count2!=32;count2++)
  {nofcharbyte=buffer[count1+count2*modulo];
   fwrite(&nofcharbyte, sizeof(nofcharbyte), 1, out);
}
}

    fclose(out);
    free (buffer);
    exit (0);
}
